Error with R11.5 SDK



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 29/09/2009 at 12:15, xxxxxxxx wrote:

    User Information:
    Cinema 4D Version:   R11.5 
    Platform:   Windows  ;   
    Language(s) :     C++  ;

    ---------
    Hi there,

    today i tried to compile my plugin for R11.5, but i get the following error message:
    c:\programme\maxon\cinema 4d r11.5 demo\resource\_api\c4d_gv\ge_mtools.h(56) : error C4430: Fehlender Typspezifizierer - int wird angenommen. Hinweis: "default-int" wird von C++ nicht unterstützt.

    i guess this is something very basic?? would be cool if someone could give me a hint..

    cheers and thanks,
    Ello



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 05/10/2009 at 05:26, xxxxxxxx wrote:

    anyone?? i just have no idea what could be responsible.. the sdk example compiles fine, so it must be something inside my project.

    ???

    cheers,
    ello



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 05/10/2009 at 07:26, xxxxxxxx wrote:

    To which line of code does the compiler error lead (double-click on the error message)?

    cheers,
    Matthias



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 05/10/2009 at 08:23, xxxxxxxx wrote:

    it jumps to the line 56

    > <code>
    >
    >> `

      
    \>            gDelete_TEMPLATE  
    \>  
    

    `
    >
    > </code>

    additional error message because there is no ;...

    > Quote: __
    >
    > * * *
    >
    > c:\programme\maxon\cinema 4d r11.5 demo\resource\_api\c4d_gv\ge_mtools.h(58) : error C2146: Syntaxfehler: Fehlendes ';' vor Bezeichner 'GeToolList2D'
    >
    >
    >
    >
    > * * *

    thanks in advance,
    ello



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 05/10/2009 at 12:03, xxxxxxxx wrote:

    thanks... i got it working. it was a wrong project setting (pointing to the r11 resource folder instead to the 11.5)


Log in to reply